@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
@import url(https://db.onlinewebfonts.com/c/67821e7ef9a2952d6e7757a6cae5a826?family=Novecento+WideBold);
@import url(https://db.onlinewebfonts.com/c/b52804ac57ef6e90d2826a6b0f111133?family=Integral+CF+Bold);

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", cursive;
    font-size: xx-small;                                                                                                    
}
body {
    min-height: 100vh; 
    background-color: rgb(0, 0, 0);
    background-size: cover;
    font-family: 'Roboto', sans-serif;
}
/*Header y navbar, iconos y responsive, menu ------------------------- */
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 7.7rem;
  padding: 1.5rem 6%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}
.header * {
  transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .1); 
  backdrop-filter: blur(15px); 
  z-index: -1;
}
.header::after {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
  transition: .5s;
}
.header:hover::after {
  left: 100%;
}
.logo {
  font-size: 2rem;
  color: rgb(255, 255, 255); 
  text-decoration: none;
  font-weight: 700;
}
.logo:hover {
  color: #2AEC88;
  transform: scale(1.1);
}
.navbar a {
  font-family: 'Novecento WideBold';
  font-size: 1.5rem;
  color: #fff;
  text-decoration: none;
  font-weight: 500;
  margin-left: 2.5rem;
}
.navbar a:hover {
  color: #2AEC88;
  transform: scale(1.1);
}
.navbar a.active {
  color: rgb(88, 183, 255);
  transform: scale(1.1);
}
.header .navbar a i {
  padding: 0 0.3rem;
  font-size: 1.7rem;
}
#check {
  display: none;
}
.icons {
  position: absolute;
  right: 5%;
  font-size: 2.8rem;
  color: #fff;
  cursor: pointer;
  display: none;
}
.icons #menu-icon,
.icons #close-icon {
  font-size: 3.2rem;
}
.icons #menu-icon:hover {
  color: #2AEC88;
}
.icons #close-icon:hover {
  color: #2AEC88;
}
/*BREAKPOINTS*/
@media (max-width: 992px){
.header {
  padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
  display: inline-flex;
}
#check:checked~.icons #menu-icon {
  display: none;
}
.icons #close-icon {    
  display: none;
}
#check:checked~.icons #close-icon {
  display: block;
}
.navbar {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 0;
  background: rgba(0, 0, 0, .1);
  backdrop-filter: blur(15px);
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
  overflow: hidden;
  transition: .3s ease;
}
#check:checked~.navbar {
  height: 22.7rem;
}
.navbar a {
  display: block;
  font-size: 1.25rem;
  margin: 1.5rem 0;
  text-align: center;
  transform: translateY(-50px);
  opacity: 0;
  transition: .3s ease;
}
#check:checked ~ .navbar a {
  transform: translateY(0);
  opacity: 1;
  transition-delay: calc(.15s * var(--i));
}
.navbar a i {
  display: block;
  font-size: 2rem;
}
} 
/*CALENDARIO------------------------------------ */
/* styles.css */
body {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  text-align: center;
}

.container {
  max-width: 1250px;
  background: rgba(228, 227, 227, 0.8);
  border-radius: 25px;
  box-shadow: 0 10px 18px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  padding: 30px;
  margin: 20px;
  position: relative;
  margin-top: 12rem;
}

.titleCalendar-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
}

.titleCalendar {
  color: #17076a;
  font-family: 'Novecento WideBold';
  font-weight: 500;
  text-decoration: none;
  margin-bottom: 15px;
  font-size: 2.8rem;
  text-align: center;
}

.calendar-nav {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 18px;
  gap: 30px;
}

.calendar-nav button {
  background-color: #0e3c6c;
  color: white;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s, transform 0.3s;
  font-size: 1.2em;
}

.calendar-nav button:hover {
  background-color: #0056b3;
  transform: scale(1.1);
}

.calendar-nav span {
  font-size: 2em;
  font-family: 'Novecento WideBold';
  color: #000000;
  font-weight: 900;
}

.calendar {
  display: grid;
  grid-template-rows: auto 1fr;
  gap: 25px;
  width: 100%;
  position: relative;
}

.calendar::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  filter: blur(10px);
  z-index: -1;
  opacity: 0.7;
}

.days-of-week {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  background-color: #2a07b9;
  color: white;
  padding: 11px 0;
  border-radius: 12px;
}

.days-of-week div {
  text-align: center;
  font-family: 'Neue Montreal Medium', sans-serif;
  font-size: 1.8em;
  font-weight: 700;
}

#calendar {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 10px;
}

.day {
  background-color: #fbf8f8;
  border-radius: 22px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  font-size: 1.8em;
  font-family: 'Novecento WideBold';
  padding: 15px;
  transition: transform 0.3s, background-color 0.3s;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.day:hover {
  transform: scale(1.03);
  background-color: #b1d2ee;
}

.day-header {
  font-weight: 700;
  color: #000000;
  margin-bottom: 10px;
  font-size: 1.2em;
}

.events-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 1rem;
}

.event {
  flex: 1 1 45%;
  background-color: #d6d6da;
  padding: 10px;
  border-radius: 15px;
  text-align: left;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: 1.2em;
  transition: transform 0.3s ease-in-out; /* Añade una transición suave */
}

.event:hover {
  transform: scale(1.08); /* Aumenta el tamaño del contenedor al pasar el ratón */
}

.event img {
  width: 100%;
  height: 100px;
  border-radius: 5px;
  margin-bottom: 10px;
  object-fit: cover;
}

.event h4 {
  margin: 0 auto;
  font-family: 'Integral CF Bold', sans-serif;
  color: #03254a;
  font-size: 1.25em;
  text-transform: uppercase;
  letter-spacing: 0.09em;
  line-height: 1.2;
  padding: 10px 0;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
  border-bottom: 2px solid #022c57;
  text-align: center;
}

.event p {
  margin: 5px 0;
  color: #000000;
  font-size: 1.25em;
  font-family:'Novencento WideBold', sans-serif;
  line-height: 1.5;
  padding: 10px 0;
  background: #ffffff99;
  border-left: 2px solid #264803;
  padding-left: 2px;
  padding-right: 4px;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1);
  text-align: center;
}

.event a {
  color: #007bff;
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s, text-shadow 0.3s;
  font-size: 1.2em;
  font-family:'Novencento WideBold', sans-serif;
  padding: 2px 4px;
  border-radius: 4px;
  text-align: center;
  margin-top: 1rem;
}

.event a:hover {
  color: #09498d;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
}

.event a:active {
  color: #003f7f;
}

/* Media Queries for Responsive Design */
@media (max-width: 1200px) {
  .container {
    max-width: 1000px;
    padding: 20px;
    margin: 15px;
  }

  .titleCalendar {
    font-size: 2.5rem;
  }

  .calendar-nav span {
    font-size: 1.5em;
  }

  .days-of-week div {
    font-size: 1.5em;
  }

  #calendar {
    gap: 8px;
  }

  .day {
    font-size: 1.5em;
    padding: 10px;
  }
}

@media (max-width: 992px) {
  .container {
    max-width: 750px;
  }

  .titleCalendar {
    font-size: 2rem;
  }

  .calendar-nav {
    flex-direction: column;
    gap: 20px;
  }

  .calendar-nav span {
    font-size: 1.3em;
  }

  .days-of-week {
    grid-template-columns: repeat(4, 1fr);
  }

  .days-of-week div {
    font-size: 1.2em;
  }

  #calendar {
    grid-template-columns: repeat(4, 1fr);
  }

  .day {
    font-size: 1.2em;
    padding: 8px;
  }

  .event {
    flex: 1 1 100%;
  }
}

@media (max-width: 768px) {
  .container {
    max-width: 100%;
    padding: 10px;
    margin: 10px;
  }

  .titleCalendar-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }

  .titleCalendar {
    font-size: 1.8rem;
    text-align: center;
    flex: 1;
  }

  .calendar-nav {
    flex-direction: row;
    justify-content: space-between;
    gap: 15px;
  }

  .calendar-nav span {
    font-size: 1.2em;
  }

  .days-of-week {
    display: none; /* Ocultar la barra de los días de la semana */
  }

  #calendar {
    grid-template-columns: repeat(3, 1fr);
  }

  .day {
    font-size: 1em;
    padding: 5px;
  }

  .event {
    flex: 1 1 100%;
  }

  .day-header {
    font-size: 1.5em;
  }
}

@media (max-width: 576px) {
  .container {
    padding: 5px;
    margin: 5px;
    margin-top: 8rem;
  }

  .titleCalendar-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }

  .titleCalendar {
    font-size: 3rem;
    text-align: center;
    flex: 1;
  }

  .calendar-nav {
    flex-direction: row;
    justify-content: space-between;
    gap: 10px;
  }

  .calendar-nav span {
    font-size: 2rem;
  }

  .days-of-week {
    display: none; /* Ocultar la barra de los días de la semana */
  }

  #calendar {
    grid-template-columns: repeat(3, 1fr);
  }

  .day {
    font-size: 0.8em;
    padding: 3px;
  }

  .event h4 {
    font-size: 1em;
  }

  .event p {
    font-size: 0.9em;
  }

  .event a {
    font-size: 1em;
  }

  .day-header {
    font-size: 2.8em;
    color: #000000;
  }
}
